Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.impl.state
Class PortletPageNavigationalStateImpl

    java.lang.Object
      org.jboss.portal.portlet.controller.impl.state.PortletPageNavigationalStateImpl

All Implemented Interfaces:
  java.io.Serializable, PortletPageNavigationalState

    public class PortletPageNavigationalStateImpl

extends java.lang.Object
implements PortletPageNavigationalState, java.io.Serializable

Version:
  $Revision: 1.1 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`protected StateControllerContextImpl` | `context` .
`protected java.util.Map<javax.xml.namespace.QName,java.lang.String[]>` | `page` .
`protected java.util.Map<java.lang.String,PortletWindowNavigationalState>` | `windows` .

Constructor Summary
`` | `PortletPageNavigationalStateImpl(PortletPageNavigationalStateImpl original, boolean modifiable)`
`protected` | `PortletPageNavigationalStateImpl(StateControllerContextImpl context, boolean modifiable)`

Method Summary
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPortletPublicNavigationalState(java.lang.String portletWindowId)` Obtain the public navigational state of a portlet window.
`java.util.Set<java.lang.String>` | `getPortletWindowIds()` Returns the portlet window ids referenced.
`PortletWindowNavigationalState` | `getPortletWindowNavigationalState(java.lang.String portletWindowId)` Returns the navigational state of a portlet window or null if it does not exist.
`java.util.Set<javax.xml.namespace.QName>` | `getPublicNames()` Returns the set of public names.
`java.lang.String[]` | `getPublicNavigationalState(javax.xml.namespace.QName name)` Returns a public navigational state entry or null if it is not found.
`void` | `removePublicNavigationalState(javax.xml.namespace.QName name)` Removes a public navigational state entry.
`void` | `setPortletPublicNavigationalState(java.lang.String portletWindowId, java.util.Map<java.lang.String,java.lang.String[]> update)` Update the public navigational state of a portlet window.
`void` | `setPortletWindowNavigationalState(java.lang.String portletWindowId, PortletWindowNavigationalState portletWindowState)` Update the navigational state of a portlet window.
`void` | `setPublicNavigationalState(javax.xml.namespace.QName name, java.lang.String[] value)` Sets a public navigational state entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected final StateControllerContextImpl context

  .

### windows

    protected final java.util.Map<java.lang.String,PortletWindowNavigationalState> windows

  .

### page

    protected final java.util.Map<javax.xml.namespace.QName,java.lang.String[]> page

  .

Constructor Detail

### PortletPageNavigationalStateImpl

    protected PortletPageNavigationalStateImpl(StateControllerContextImpl context,
                                               boolean modifiable)

### PortletPageNavigationalStateImpl

    public PortletPageNavigationalStateImpl(PortletPageNavigationalStateImpl original,
                                            boolean modifiable)

Method Detail

### getPortletWindowIds

    public java.util.Set<java.lang.String> getPortletWindowIds()

  Description copied from interface: `PortletPageNavigationalState`
  Returns the portlet window ids referenced.

  Specified by:
    `getPortletWindowIds` in interface `PortletPageNavigationalState`
  Returns:
    a set of window id

### getPortletWindowNavigationalState

    public PortletWindowNavigationalState getPortletWindowNavigationalState(java.lang.String portletWindowId)

  Description copied from interface: `PortletPageNavigationalState`
  Returns the navigational state of a portlet window or null if it does not exist.

  Specified by:
    `getPortletWindowNavigationalState` in interface `PortletPageNavigationalState`
  Parameters:
    `portletWindowId` - the portlet window id
  Returns:
    the portlet window navigational state

### getPortletPublicNavigationalState

    public java.util.Map<java.lang.String,java.lang.String[]> getPortletPublicNavigationalState(java.lang.String portletWindowId)

  Description copied from interface: `PortletPageNavigationalState`
  Obtain the public navigational state of a portlet window. The interpretation of what should be retrieved is left up to the implementor. An example of implementation would use the mapping between qnames and name provided by the referenced portlet info.

  Specified by:
    `getPortletPublicNavigationalState` in interface `PortletPageNavigationalState`
  Parameters:
    `portletWindowId` - the portlet window id
  Returns:
    the portlet public navigational state

### getPublicNames

    public java.util.Set<javax.xml.namespace.QName> getPublicNames()

  Description copied from interface: `PortletPageNavigationalState`
  Returns the set of public names.

  Specified by:
    `getPublicNames` in interface `PortletPageNavigationalState`
  Returns:
    the public names

### getPublicNavigationalState

    public java.lang.String[] getPublicNavigationalState(javax.xml.namespace.QName name)

  Description copied from interface: `PortletPageNavigationalState`
  Returns a public navigational state entry or null if it is not found.

  Specified by:
    `getPublicNavigationalState` in interface `PortletPageNavigationalState`
  Parameters:
    `name` - the name
  Returns:
    the entry value

### setPortletWindowNavigationalState

    public void setPortletWindowNavigationalState(java.lang.String portletWindowId,
                                                  PortletWindowNavigationalState portletWindowState)

  Description copied from interface: `PortletPageNavigationalState`
  Update the navigational state of a portlet window.

  Specified by:
    `setPortletWindowNavigationalState` in interface `PortletPageNavigationalState`
  Parameters:
    `portletWindowId` - the portlet window id
    `portletWindowState` - the portlet window state

### setPortletPublicNavigationalState

    public void setPortletPublicNavigationalState(java.lang.String portletWindowId,
                                                  java.util.Map<java.lang.String,java.lang.String[]> update)

  Description copied from interface: `PortletPageNavigationalState`

  Update the public navigational state of a portlet window. The interpretation of what should be updated is left up to the implementor. An example of implementation would use the mapping between qname and name provided by the referenced portlet info.

  The update argument values with a length of zero should be treated as removals.

  Specified by:
    `setPortletPublicNavigationalState` in interface `PortletPageNavigationalState`
  Parameters:
    `portletWindowId` - the portlet window id
    `update` - the updates

### setPublicNavigationalState

    public void setPublicNavigationalState(javax.xml.namespace.QName name,
                                           java.lang.String[] value)

  Description copied from interface: `PortletPageNavigationalState`
  Sets a public navigational state entry.

  Specified by:
    `setPublicNavigationalState` in interface `PortletPageNavigationalState`
  Parameters:
    `name` - the name
    `value` - the new value

### removePublicNavigationalState

    public void removePublicNavigationalState(javax.xml.namespace.QName name)

  Description copied from interface: `PortletPageNavigationalState`
  Removes a public navigational state entry.

  Specified by:
    `removePublicNavigationalState` in interface `PortletPageNavigationalState`
  Parameters:
    `name` - the name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.